package com.ruoyi.controller;

import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.domain.*;
import com.ruoyi.domain.dto.FyglProjectCostDTO;
import com.ruoyi.domain.dto.FyglProjectCostReimbursementDTO;
import com.ruoyi.domain.dto.FyglTravelOnBusinessDTO;
import com.ruoyi.domain.dto.FyglTripApplicationDTO;
import com.ruoyi.domain.vo.DailyBaoXiaoApprovalVo;
import com.ruoyi.domain.vo.FyglTripApplicationVo;
import com.ruoyi.service.IExpenseApprovalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

//费用审批

@RestController
@RequestMapping("/expenseApproval")
public class ExpenseApprovalController extends BaseController {

    @Autowired
    private IExpenseApprovalService expenseApprovalService;

    //获取当前登录用户角色列表
    @GetMapping("/getAllRoleList")
    public AjaxResult getAllRoleList(){
        return AjaxResult.success(expenseApprovalService.getExpenseApproval());
    }

    //项目费用申请-审批通过
    @PostMapping("/projectCostRequestApproval")
    public AjaxResult projectCostRequestApproval(@RequestBody List<ProjectCostRequestApproval> fyglProjectCostDTO) {
        return AjaxResult.success(expenseApprovalService.updateStatus(fyglProjectCostDTO));
    }

    //项目费用申请-驳回
    @PostMapping("/projectCostRequestApprovalReject")
    public AjaxResult projectCostRequestApprovalReject(@RequestBody List<ProjectCostRequestApprovalReject> fyglProjectCostDTO) {
        return AjaxResult.success(expenseApprovalService.updateStatusReject(fyglProjectCostDTO));
    }

    //项目费用报销-审批通过
    @PostMapping("/projectCostReimbursementApproval")
    public AjaxResult projectCostReimbursementApproval(@RequestBody List<ProjectCostReimbursementApproval> FyglProjectCostReimbursementDTO) {
        return AjaxResult.success(expenseApprovalService.updateReimbursementStatus(FyglProjectCostReimbursementDTO));
    }

    //项目费用报销-驳回
    @PostMapping("/projectCostReimbursementApprovalReject")
    public AjaxResult projectCostReimbursementApprovalReject(@RequestBody List<ProjectCostReimbursementApprovalReject> FyglProjectCostReimbursementDTO) {
        return AjaxResult.success(expenseApprovalService.updateReimbursementStatusReject(FyglProjectCostReimbursementDTO));
    }

    //日常报销-列表
    @GetMapping("/dailyExpenseList")
    public TableDataInfo getDailyExpenseList(DailyBaoXiaoApprovalVo dailyBaoXiaoApprovalVo) {
        System.out.println("参数 = " + dailyBaoXiaoApprovalVo);
        startPage();
        return getDataTable(expenseApprovalService.getDailyBaoXiaoApproval(dailyBaoXiaoApprovalVo));
    }
    
    //出差报销-列表
    @GetMapping("/tripExpenseList")
    public TableDataInfo getTripExpenseList(FyglTripApplicationVo fyglTripApplicationVO)
    {
        startPage();
        List<FyglTripApplicationDTO> list = expenseApprovalService.getFyglTripApplicationList(fyglTripApplicationVO);
        return getDataTable(list);
    }
    
    //差旅报销-列表
    @GetMapping("/travelExpenseList")
    public TableDataInfo getTravelExpenseList(FyglTravelOnBusinessDTO fyglProjectCostDTO){
        startPage();
        return getDataTable(expenseApprovalService.getFyglTravelOnBusinessList(fyglProjectCostDTO));
    }
    
    //项目费用申请-列表
    @GetMapping("/costExpenseList")
    public TableDataInfo getCostExpenseList(FyglProjectCostDTO fyglProjectCostDTO){
        startPage();
        return getDataTable(expenseApprovalService.getProjectCostList(fyglProjectCostDTO));
    }
    
    //项目费用报销-列表
    @GetMapping("/reimburseExpenseList")
    public TableDataInfo getReimburseExpenseList(FyglProjectCostReimbursementDTO ReimbursementDTO) {
        startPage();
        List<FyglProjectCostReimbursementDTO> list = expenseApprovalService.getProjectReimburseList(ReimbursementDTO);
        return getDataTable(list);
    }

    //出差申请-审批通过
    @PostMapping("/tripApplicationApproval")
    public AjaxResult tripApplicationApproval(@RequestBody List<TripApplicationApproval> FyglTripApplicationDTO) {
        return AjaxResult.success(expenseApprovalService.updatetripApplicationStatus(FyglTripApplicationDTO));
    }

    //出差申请-驳回
    @PostMapping("/tripApplicationApprovalReject")
    public AjaxResult tripApplicationApprovalReject(@RequestBody List<TripApplicationApprovalReject> FyglTripApplicationDTO) {
        return AjaxResult.success(expenseApprovalService.updatetripApplicationStatusReject(FyglTripApplicationDTO));
    }
    
    //出差申请-审批通过
    @PostMapping("/dailyReimburseApproval")
    public AjaxResult dailyReimburseApproval(@RequestBody List<DailyReimburseApproval> fyglDailyReimburseDTO) {
        return AjaxResult.success(expenseApprovalService.updateDailyReimburseStatus(fyglDailyReimburseDTO));
    }
    
    //出差申请-驳回
    @PostMapping("/dailyReimburseApprovalReject")
    public AjaxResult dailyReimburseApprovalReject(@RequestBody List<DailyReimburseApprovalReject> fyglTripApplicationDTO) {
        return AjaxResult.success(expenseApprovalService.updateDailyReimburseStatusReject(fyglTripApplicationDTO));
    }

    //差旅报销-审批通过
    @PostMapping("/travelOnBusinessApproval")
    public AjaxResult travelOnBusinessApproval(@RequestBody List<TravelOnBusinessApproval> FyglTravelOnBusinessDTO) {
        return AjaxResult.success(expenseApprovalService.updatetravelOnBusinessStatus(FyglTravelOnBusinessDTO));
    }

    //差旅报销-驳回
    @PostMapping("/travelOnBusinessApprovalReject")
    public AjaxResult travelOnBusinessApprovalReject(@RequestBody List<TravelOnBusinessApprovalReject> FyglTravelOnBusinessDTO) {
        return AjaxResult.success(expenseApprovalService.updatetravelOnBusinessStatusReject(FyglTravelOnBusinessDTO));
    }

}
