package com.ruoyi.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 员工年假对象 employee_annual_leave
 *
 * @author ruoyi
 * @date 2025-04-17
 */
public class EmployeeAnnualLeave extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 关联用户ID */
    private Long userId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String uname;

    /** 年份 */
    @Excel(name = "年份")
    private Long year;

    /** 总年假天数 */
    @Excel(name = "总年假天数")
    private Long totalDays;

    /** 已使用年假天数 */
    @Excel(name = "已使用年假天数")
    private Long usedDays;

    /** 剩余年假天数 */
    @Excel(name = "剩余年假天数")
    private Long remainingDays;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedTime;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setYear(Long year)
    {
        this.year = year;
    }

    public Long getYear()
    {
        return year;
    }
    public void setTotalDays(Long totalDays)
    {
        this.totalDays = totalDays;
    }

    public Long getTotalDays()
    {
        return totalDays;
    }
    public void setUsedDays(Long usedDays)
    {
        this.usedDays = usedDays;
    }

    public Long getUsedDays()
    {
        return usedDays;
    }
    public void setRemainingDays(Long remainingDays)
    {
        this.remainingDays = remainingDays;
    }

    public Long getRemainingDays()
    {
        return remainingDays;
    }
    public void setCreatedTime(Date createdTime)
    {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime()
    {
        return createdTime;
    }
    public void setUpdatedTime(Date updatedTime)
    {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime()
    {
        return updatedTime;
    }
    public void setUname(String uname)
    {
        this.uname = uname;
    }

    public String getUname()
    {
        return uname;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("userId", getUserId())
                .append("year", getYear())
                .append("totalDays", getTotalDays())
                .append("usedDays", getUsedDays())
                .append("remainingDays", getRemainingDays())
                .append("createdTime", getCreatedTime())
                .append("updatedTime", getUpdatedTime())
                .append("uname", getUname())
                .toString();
    }
}
