package com.ruoyi.mapper;

import java.util.List;
import com.ruoyi.domain.EmployeeAnnualLeave;

/**
 * 员工年假Mapper接口
 *
 * @author ruoyi
 * @date 2025-04-17
 */
public interface EmployeeAnnualLeaveMapper
{
    /**
     * 查询员工年假
     *
     * @param id 员工年假主键
     * @return 员工年假
     */
    public EmployeeAnnualLeave selectEmployeeAnnualLeaveById(Long id);

    /**
     * 查询员工年假列表
     *
     * @param employeeAnnualLeave 员工年假
     * @return 员工年假集合
     */
    public List<EmployeeAnnualLeave> selectEmployeeAnnualLeaveList(EmployeeAnnualLeave employeeAnnualLeave);

    /**
     * 新增员工年假
     *
     * @param employeeAnnualLeave 员工年假
     * @return 结果
     */
    public int insertEmployeeAnnualLeave(EmployeeAnnualLeave employeeAnnualLeave);

    /**
     * 修改员工年假
     *
     * @param employeeAnnualLeave 员工年假
     * @return 结果
     */
    public int updateEmployeeAnnualLeave(EmployeeAnnualLeave employeeAnnualLeave);

    /**
     * 删除员工年假
     *
     * @param id 员工年假主键
     * @return 结果
     */
    public int deleteEmployeeAnnualLeaveById(Long id);

    /**
     * 批量删除员工年假
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEmployeeAnnualLeaveByIds(Long[] ids);
}
