package com.ruoyi.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.ProjectRepayment;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 项目回款Mapper接口
 *
 * @author ruoyi
 * @date 2025-02-28
 */
@Mapper
public interface ProjectRepaymentMapper extends BaseMapper<ProjectRepayment>
{
    /**
     * 查询项目回款
     *
     * @param repaymentId 项目回款主键
     * @return 项目回款
     */
    public ProjectRepayment selectProjectRepaymentByRepaymentId(Long repaymentId);

    /**
     * 查询项目回款列表
     *
     * @param projectRepayment 项目回款
     * @return 项目回款集合
     */
    public List<ProjectRepayment> selectProjectRepaymentList(ProjectRepayment projectRepayment);

    /**
     * 新增项目回款
     *
     * @param projectRepayment 项目回款
     * @return 结果
     */
    public int insertProjectRepayment(ProjectRepayment projectRepayment);

    /**
     * 修改项目回款
     *
     * @param projectRepayment 项目回款
     * @return 结果
     */
    public int updateProjectRepayment(ProjectRepayment projectRepayment);

    /**
     * 删除项目回款
     *
     * @param repaymentId 项目回款主键
     * @return 结果
     */
    public int deleteProjectRepaymentByRepaymentId(Long repaymentId);

    /**
     * 批量删除项目回款
     *
     * @param repaymentIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProjectRepaymentByRepaymentIds(Long[] repaymentIds);

    /*
    * 统计个项目回款笔数
    * @param projectId 项目id
    *
    * */
    int countProjectRepayment(Long projectId);

    /*
    * 批量插入项目回款
    * */
    void batchInsertProjectRepayments(@Param("projectRepayments") List<ProjectRepayment> projectRepayments);

    /*
    * 删除项目回款
    * */
    void deleteProjectRepaymentByProjectId(Long projectId);

}
