package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.ProjectMember;

/**
 * 项目成员Service接口
 *
 * @author ruoyi
 * @date 2025-02-28
 */
public interface IProjectMemberService
{
    /**
     * 查询项目成员
     *
     * @param projectId 项目成员主键
     * @return 项目成员
     */
    public ProjectMember selectProjectMemberByProjectId(Long projectId);

    /**
     * 查询项目成员列表
     *
     * @param projectMember 项目成员
     * @return 项目成员集合
     */
    public List<ProjectMember> selectProjectMemberList(ProjectMember projectMember);

    /**
     * 新增项目成员
     *
     * @param projectMember 项目成员
     * @return 结果
     */
    public int insertProjectMember(ProjectMember projectMember);

    /**
     * 修改项目成员
     *
     * @param projectMember 项目成员
     * @return 结果
     */
    public int updateProjectMember(ProjectMember projectMember);

    /**
     * 批量删除项目成员
     *
     * @param projectIds 需要删除的项目成员主键集合
     * @return 结果
     */
    public int deleteProjectMemberByProjectIds(Long[] projectIds);

    /**
     * 删除项目成员信息
     *
     * @param projectId 项目成员主键
     * @return 结果
     */
    public int deleteProjectMemberByProjectId(Long projectId);

    /*
    *   批量新增项目成员
    *   @param projectId 项目id
    *   @param memberIds 成员id集合
    * */
    public void batchInsertProjectMembers(Long projectId, List<Long> memberIds);

    /**
     * 根据项目编号和经理ID查询项目成员的用户ID和昵称
     *
     * @param projectNumber 项目编号
     * @param managerId     经理ID
     * @return 项目成员列表
     */
    public List<ProjectMember> selectEmployNameListByManagerId(String projectNumber, Long managerId);

}
